## org.openorb.policy
Class ProfilePriorityHelper

    java.lang.Object
      |
      +--org.openorb.policy.ProfilePriorityHelper

public class ProfilePriorityHelper
extends java.lang.Object

Helper class for : ProfilePriority

Author:
  OpenORB Compiler

Constructor Summary
`ProfilePriorityHelper()`

Method Summary
`static byte` `extract(Any a)` Extract ProfilePriority from an any
`static java.lang.String` `id()` Return the ProfilePriority IDL ID
`static void` `insert(Any a, byte t)` Insert ProfilePriority into an any
`static byte` `read(InputStream istream)` Read ProfilePriority from a marshalled stream
`static TypeCode` `type()` Return the ProfilePriority TypeCode
`static void` `write(OutputStream ostream, byte value)` Write ProfilePriority into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfilePriorityHelper

    public ProfilePriorityHelper()

Method Detail

### insert

    public static void insert(Any a,
                              byte t)

  Insert ProfilePriority into an any
  Parameters:
    `a` - an any
    `t` - ProfilePriority value

### extract

    public static byte extract(Any a)

  Extract ProfilePriority from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ProfilePriority value

### type

    public static TypeCode type()

  Return the ProfilePriority TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ProfilePriority IDL ID
  Returns:
    an ID

### read

    public static byte read(InputStream istream)

  Read ProfilePriority from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ProfilePriority value

### write

    public static void write(OutputStream ostream,
                             byte value)

  Write ProfilePriority into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ProfilePriority value